#
# spec file for package sluice
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sluice
Version:        0.02.08
Release:        bp154.1.22
Summary:        Rate limiting data piping tool
License:        GPL-2.0-or-later
Group:          System/Monitoring
URL:            http://kernel.ubuntu.com/~cking/sluice/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz

%description
Sluice reads from standard input and write to standard output at a specified
data rate. This can be useful for benchmarking and exercising I/O streaming at
desired throughput rates.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%{_bindir}/sluice
%{_mandir}/man1/sluice.1%{?ext_man}

%changelog
* Sun Jun 17 2018 mardnh@gmx.de
- Update to version 0.02.08
  * Makefile: bump version
  * fixup some constifications
  * Make delay_info const
  * Make -r 0 to be no rate control (same as -n)
  * Add -I option to help
  * debian/copyright: use secure URI
  * debian/control: update debhelper version to >=11
  * debian/control: remove empty last line
  * debian/compat: update to 11
  * constify sizes
  * voidify function returns
* Fri Jan  5 2018 mardnh@gmx.de
- update to version 0.02.07
  * Makefile: bump version
  * Makefile: add snapcraft directory to make dist rule
  * debian/control: update Standards-Version to 4.1.2
  * update copyright year
  * Add snapcraft
  * Add extra parentheses for clarity
  * voidify fclose()
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.02.06
  * Makefile: bump minor version
  * Fix incorrect position of \ escape in -s option man page
- update to version 0.02.05
  * Add build hardening flags
  * Makefile: bump version
  * Use build-in popcount to count bits
  * Allow float comparisons a little bit of slop
  * Make get_pagesize helper static
  * Makefile: add PEDANTIC flags
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 0.02.04
  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
- update to version 0.02.03
  * Makefile bunp version
  * reduce scope of variable ret
  * Update date in manual
  * Don't centre table in man page
  * Add -x pipe transfer size option
  * Update copyright year
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
